You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     x...@chaot.net
Last committer: sunp...@freebsd.org
Ident:          $FreeBSD: head/science/py-h5py/Makefile 352854 2014-05-03 
00:55:30Z sunpoet $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2014-06-06_03h32m29s/logs/py27-h5py-2.2.1_2.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2014-06-06_03h32m29s
Log:

====>> Building science/py-h5py
build started at Fri Jun  6 12:13:43 UTC 2014
port directory: /usr/ports/science/py-h5py
building for: FreeBSD head-amd64-default-job-16 11.0-CURRENT FreeBSD 
11.0-CURRENT r264257 amd64
maintained by: x...@chaot.net
Makefile ident:      $FreeBSD: head/science/py-h5py/Makefile 352854 2014-05-03 
00:55:30Z sunpoet $
Poudriere version: 3.1-pre
Host OSVERSION: 1100013
Jail OSVERSION: 1100018




!!! Jail is newer than host. (Jail: 1100018, Host: 1100013) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
OSVERSION=1100018
UNAME_v=FreeBSD 11.0-CURRENT r264257
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/build/head-amd64-default/ref
PKG_EXT=txz
tpid=77259
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=py27-h5py-2.2.1_2
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
OLDPWD=/usr/local/poudriere/data/build/head-amd64-default/ref/poudriere/rdeps
PWD=/usr/local/poudriere/data/build/head-amd64-default/ref/poudriere/pool
MASTERNAME=head-amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for py27-h5py-2.2.1_2:
     DOCS=on: Build and/or install documentation
     EXAMPLES=on: Build and/or install examples
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" PYTHON="/usr/local/bin/python2.7" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES LDSHARED="cc -shared" 
PYTHONDONTWRITEBYTECODE= PYTHONOPTIMIZE= PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PYTHON_INCLUDEDIR=include/python2.7
PYTHON_LIBDIR=lib/python2.7
PYTHON_PLATFORM=freebsd11
PYTHON_SITELIBDIR=lib/python2.7/site-packages
PYTHON_VERSION=python2.7
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
PORTDATA=""
LIB32DIR=lib
DOCSDIR="share/doc/h5py"
EXAMPLESDIR="share/examples/h5py"
DATADIR="share/h5py"
WWWDIR="www/h5py"
ETCDIR="etc/h5py"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/h5py
DOCSDIR=/usr/local/share/doc/h5py
EXAMPLESDIR=/usr/local/share/examples/h5py
WWWDIR=/usr/local/www/h5py
ETCDIR=/usr/local/etc/h5py
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
# clean-restricted ran via poudriere.conf NO_RESTRICTED
#NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for py27-h5py-2.2.1_2
=======================<phase: check-sanity   >============================
===>  License BSD accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   py27-h5py-2.2.1_2 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.7_2.txz
Installing pkg-1.2.7_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of py27-h5py-2.2.1_2
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License BSD accepted by the user
===> Fetching all distfiles required by py27-h5py-2.2.1_2 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License BSD accepted by the user
===> Fetching all distfiles required by py27-h5py-2.2.1_2 for building
=> SHA256 Checksum OK for h5py-2.2.1.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License BSD accepted by the user
===> Fetching all distfiles required by py27-h5py-2.2.1_2 for building
===>  Extracting for py27-h5py-2.2.1_2
=> SHA256 Checksum OK for h5py-2.2.1.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for py27-h5py-2.2.1_2
===>  Applying FreeBSD patches for py27-h5py-2.2.1_2
/usr/bin/sed -i.bak -e 's|%%LOCALBASE%%|/usr/local|'  
/wrkdirs/usr/ports/science/py-h5py/work/h5py-2.2.1/setup.py
===========================================================================
=======================<phase: build-depends  >============================
===>   py27-h5py-2.2.1_2 depends on file: 
/usr/local/lib/python2.7/site-packages/numpy/core/numeric.py - not found
===>    Verifying install for 
/usr/local/lib/python2.7/site-packages/numpy/core/numeric.py in 
/usr/ports/math/py-numpy
===>   Installing existing package /packages/All/py27-numpy-1.8.1,1.txz
Installing py27-numpy-1.8.1,1...Installing blas-3.4.2_2...Installing 
gcc-4.7.3_1...Installing binutils-2.24...Installing gettext-0.18.3.1_1... done
 done
Installing gcc-ecj-4.5... done
Installing gmp-5.1.3_2... done
Installing mpc-1.0.2...Installing mpfr-3.1.2_2... done
 done
 done
 done
Installing lapack-3.4.2_2... done
Installing py27-nose-1.3.0_1...Installing py27-setuptools27-2.0.1...Installing 
python27-2.7.6_4... done
 done
 done
Installing suitesparse-4.0.2_3... done
 done
To ensure binaries built with this toolchain find appropriate versions
of the necessary run-time libraries, you may want to link using

  -Wl,-rpath=/usr/local/lib/gcc47

For ports leveraging USE_GCC, USES=compiler, or USES=fortran this happens
transparently.
====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====
===>   Returning to build of py27-h5py-2.2.1_2
===>   py27-h5py-2.2.1_2 depends on package: py27-setuptools27>0 - found
===>   py27-h5py-2.2.1_2 depends on file: /usr/local/bin/python2.7 - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   py27-h5py-2.2.1_2 depends on shared library: libhdf5.so
 - not found
===>    Verifying for libhdf5.so in /usr/ports/science/hdf5
===>   Installing existing package /packages/All/hdf5-1.8.13_1.txz
Installing hdf5-1.8.13_1... done
===>   Returning to build of py27-h5py-2.2.1_2
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for py27-h5py-2.2.1_2
Cython not present; building for HDF5 1.8.4+
running config
===========================================================================
=======================<phase: build          >============================
===>  Building for py27-h5py-2.2.1_2
Cython not present; building for HDF5 1.8.4+
running build
running build_py
creating build
creating build/lib.freebsd-11.0-CURRENT-amd64-2.7
creating build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/ipy_completer.py -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/__init__.py -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/version.py -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/highlevel.py -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
creating build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl
copying h5py/_hl/group.py -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl
copying h5py/_hl/files.py -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl
copying h5py/_hl/__init__.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl
copying h5py/_hl/dataset.py -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl
copying h5py/_hl/base.py -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl
copying h5py/_hl/datatype.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl
copying h5py/_hl/selections.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl
copying h5py/_hl/filters.py -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl
copying h5py/_hl/selections2.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl
copying h5py/_hl/dims.py -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl
copying h5py/_hl/attrs.py -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl
creating build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl/tests
copying h5py/_hl/tests/test_file.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl/tests
copying h5py/_hl/tests/common.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl/tests
copying h5py/_hl/tests/__init__.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl/tests
copying h5py/_hl/tests/test_base.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl/tests
copying h5py/_hl/tests/test_attrs.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl/tests
copying h5py/_hl/tests/test_group.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl/tests
copying h5py/_hl/tests/test_dataset.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl/tests
copying h5py/_hl/tests/test_datatype.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl/tests
copying h5py/_hl/tests/test_attrs_data.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl/tests
copying h5py/_hl/tests/test_dimension_scales.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl/tests
copying h5py/_hl/tests/test_slicing.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl/tests
copying h5py/_hl/tests/test_selections.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_hl/tests
creating build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/lowtest
copying h5py/lowtest/test_h5f.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/lowtest
copying h5py/lowtest/__init__.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/lowtest
copying h5py/lowtest/test_h5.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/lowtest
copying h5py/lowtest/test_objects.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/lowtest
copying h5py/lowtest/test_h5t.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/lowtest
copying h5py/lowtest/test_h5p.py -> 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/lowtest
copying h5py/h5s.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/_errors.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/defs.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/h5d.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/h5ac.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/h5r.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/utils.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/h5l.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/h5z.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/h5o.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/_conv.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/h5p.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/h5i.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/h5g.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/h5ds.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/h5f.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/h5fd.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/_proxy.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/h5t.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/h5a.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/h5.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
copying h5py/_objects.pyx -> build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py
running build_ext
building 'h5py.defs' extension
creating build/temp.freebsd-11.0-CURRENT-amd64-2.7
creating build/temp.freebsd-11.0-CURRENT-amd64-2.7/h5py
cc -DNDEBUG -O2 -pipe -fno-strict-aliasing -fPIC -DH5_USE_16_API 
-I/usr/local/lib/python2.7/site-packages/numpy/core/include 
-I/wrkdirs/usr/ports/science/py-h5py/work/h5py-2.2.1/lzf -I/usr/local/include 
-I/usr/local/include/python2.7 -c h5py/defs.c -o 
build/temp.freebsd-11.0-CURRENT-amd64-2.7/h5py/defs.o
In file included from h5py/defs.c:259:
In file included from h5py/api_compat.h:21:
In file included from 
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/arrayobject.h:4:
In file included from 
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/ndarrayobject.h:17:
In file included from 
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/ndarraytypes.h:1761:
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h:15:2:
 warning: "Using deprecated NumPy API, disable it by "          "#defining 
NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION" [-W#warnings]
#warning "Using deprecated NumPy API, disable it by " \
 ^
h5py/defs.c:21462:98: warning: passing 'char **' to parameter of type 'const 
char **' discards qualifiers in nested pointer types 
[-Wincompatible-pointer-types-discards-qualifiers]
          __pyx_t_8 = H5Lunpack_elink_val(__pyx_v_ext_linkval, 
__pyx_v_link_size, __pyx_v_flags, __pyx_v_filename, __pyx_v_obj_path); if 
(unlikely(PyErr_Occurred())) {__pyx_filename = __pyx_f[1]; __pyx_lineno = 780; 
__pyx_clineno = __LINE__; goto __pyx_L7_error;}
                                                                                
                 ^~~~~~~~~~~~~~~~
/usr/local/include/H5Lpublic.h:194:34: note: passing argument to parameter 
'filename' here
   unsigned *flags, const char **filename/*out*/, const char **obj_path 
/*out*/);
                                 ^
h5py/defs.c:21462:116: warning: passing 'char **' to parameter of type 'const 
char **' discards qualifiers in nested pointer types 
[-Wincompatible-pointer-types-discards-qualifiers]
          __pyx_t_8 = H5Lunpack_elink_val(__pyx_v_ext_linkval, 
__pyx_v_link_size, __pyx_v_flags, __pyx_v_filename, __pyx_v_obj_path); if 
(unlikely(PyErr_Occurred())) {__pyx_filename = __pyx_f[1]; __pyx_lineno = 780; 
__pyx_clineno = __LINE__; goto __pyx_L7_error;}
                                                                                
                                   ^~~~~~~~~~~~~~~~
/usr/local/include/H5Lpublic.h:194:64: note: passing argument to parameter 
'obj_path' here
   unsigned *flags, const char **filename/*out*/, const char **obj_path 
/*out*/);
                                                               ^
h5py/defs.c:31308:95: warning: passing 'char **' to parameter of type 'const 
char *const *' discards qualifiers in nested pointer types 
[-Wincompatible-pointer-types-discards-qualifiers]
          __pyx_t_8 = H5Pset_fapl_multi(__pyx_v_fapl_id, __pyx_v_memb_map, 
__pyx_v_memb_fapl, __pyx_v_memb_name, __pyx_v_memb_addr, __pyx_v_relax); if 
(unlikely(PyErr_Occurred())) {__pyx_filename = __pyx_f[1]; __pyx_lineno = 1167; 
__pyx_clineno = __LINE__; goto __pyx_L7_error;}
                                                                                
              ^~~~~~~~~~~~~~~~~
/usr/local/include/H5FDmulti.h:37:49: note: passing argument to parameter 
'memb_name' here
                         const hid_t *memb_fapl, const char * const *memb_name,
                                                                     ^
h5py/defs.c:31766:74: warning: incompatible pointer types passing 'int *' to 
parameter of type 'size_t *' (aka 'unsigned long *') 
[-Wincompatible-pointer-types]
          __pyx_t_8 = H5Pget_cache(__pyx_v_plist_id, __pyx_v_mdc_nelmts, 
__pyx_v_rdcc_nelmts, __pyx_v_rdcc_nbytes, __pyx_v_rdcc_w0); if 
(unlikely(PyErr_Occurred())) {__pyx_filename = __pyx_f[1]; __pyx_lineno = 1185; 
__pyx_clineno = __LINE__; goto __pyx_L7_error;}
                                                                         
^~~~~~~~~~~~~~~~~~~
/usr/local/include/H5Ppublic.h:314:16: note: passing argument to parameter 
'rdcc_nslots' here
       size_t *rdcc_nslots/*out*/,
               ^
h5py/defs.c:51217:94: warning: incompatible pointer types passing 'hsize_t **' 
(aka 'unsigned long long **') to parameter of type 'const hsize_t *' (aka 
'const unsigned long long *'); dereference with * [-Wincompatible-pointer-types]
          __pyx_t_8 = H5Sselect_elements(__pyx_v_space_id, __pyx_v_op, 
__pyx_v_num_elements, __pyx_v_coord); if (unlikely(PyErr_Occurred())) 
{__pyx_filename = __pyx_f[1]; __pyx_lineno = 1950; __pyx_clineno = __LINE__; 
goto __pyx_L7_error;}
                                                                                
             ^~~~~~~~~~~~~
                                                                                
             *
/usr/local/include/H5Spublic.h:129:37: note: passing argument to parameter 
'coord' here
    size_t num_elem, const hsize_t *coord);
                                    ^
6 warnings generated.
cc -shared -O2 -pipe -fno-strict-aliasing 
build/temp.freebsd-11.0-CURRENT-amd64-2.7/h5py/defs.o -L/usr/local/lib 
-Wl,-rpath=/usr/local/lib -lhdf5 -lhdf5_hl -o 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/defs.so
building 'h5py._errors' extension
cc -DNDEBUG -O2 -pipe -fno-strict-aliasing -fPIC -DH5_USE_16_API 
-I/usr/local/lib/python2.7/site-packages/numpy/core/include 
-I/wrkdirs/usr/ports/science/py-h5py/work/h5py-2.2.1/lzf -I/usr/local/include 
-I/usr/local/include/python2.7 -c h5py/_errors.c -o 
build/temp.freebsd-11.0-CURRENT-amd64-2.7/h5py/_errors.o
In file included from h5py/_errors.c:259:
In file included from h5py/api_compat.h:21:
In file included from 
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/arrayobject.h:4:
In file included from 
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/ndarrayobject.h:17:
In file included from 
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/ndarraytypes.h:1761:
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h:15:2:
 warning: "Using deprecated NumPy API, disable it by "          "#defining 
NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION" [-W#warnings]
#warning "Using deprecated NumPy API, disable it by " \
 ^
h5py/_errors.c:631:13: warning: assigning to 'char *' from 'const char *' 
discards qualifiers [-Wincompatible-pointer-types-discards-qualifiers]
  __pyx_t_3 = (__pyx_v_desc[0]).desc;
            ^ ~~~~~~~~~~~~~~~~~~~~~~
h5py/_errors.c:839:13: warning: assigning to 'char *' from 'const char *' 
discards qualifiers [-Wincompatible-pointer-types-discards-qualifiers]
  __pyx_t_6 = __pyx_v_err.err.desc;
            ^ ~~~~~~~~~~~~~~~~~~~~
h5py/_errors.c:1169:28: warning: incompatible pointer types passing 'herr_t 
(FILE *)' to parameter of type 'H5E_auto1_t' (aka 'herr_t (*)(void *)') 
[-Wincompatible-pointer-types]
  __pyx_t_1 = (H5Eset_auto(H5Eprint, stderr) < 0);
                           ^~~~~~~~
/usr/local/include/H5version.h:228:18: note: expanded from macro 'H5Eprint'
#define H5Eprint H5Eprint1
                 ^~~~~~~~~
/usr/local/include/H5Epublic.h:216:40: note: passing argument to parameter 
'func' here
H5_DLL herr_t H5Eset_auto1(H5E_auto1_t func, void *client_data);
                                       ^
4 warnings generated.
cc -shared -O2 -pipe -fno-strict-aliasing 
build/temp.freebsd-11.0-CURRENT-amd64-2.7/h5py/_errors.o -L/usr/local/lib 
-Wl,-rpath=/usr/local/lib -lhdf5 -lhdf5_hl -o 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_errors.so
building 'h5py._objects' extension
cc -DNDEBUG -O2 -pipe -fno-strict-aliasing -fPIC -DH5_USE_16_API 
-I/usr/local/lib/python2.7/site-packages/numpy/core/include 
-I/wrkdirs/usr/ports/science/py-h5py/work/h5py-2.2.1/lzf -I/usr/local/include 
-I/usr/local/include/python2.7 -c h5py/_objects.c -o 
build/temp.freebsd-11.0-CURRENT-amd64-2.7/h5py/_objects.o
In file included from h5py/_objects.c:259:
In file included from h5py/api_compat.h:21:
In file included from 
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/arrayobject.h:4:
In file included from 
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/ndarrayobject.h:17:
In file included from 
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/ndarraytypes.h:1761:
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h:15:2:
 warning: "Using deprecated NumPy API, disable it by "          "#defining 
NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION" [-W#warnings]
#warning "Using deprecated NumPy API, disable it by " \
 ^
1 warning generated.
cc -shared -O2 -pipe -fno-strict-aliasing 
build/temp.freebsd-11.0-CURRENT-amd64-2.7/h5py/_objects.o -L/usr/local/lib 
-Wl,-rpath=/usr/local/lib -lhdf5 -lhdf5_hl -o 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_objects.so
building 'h5py._proxy' extension
cc -DNDEBUG -O2 -pipe -fno-strict-aliasing -fPIC -DH5_USE_16_API 
-I/usr/local/lib/python2.7/site-packages/numpy/core/include 
-I/wrkdirs/usr/ports/science/py-h5py/work/h5py-2.2.1/lzf -I/usr/local/include 
-I/usr/local/include/python2.7 -c h5py/_proxy.c -o 
build/temp.freebsd-11.0-CURRENT-amd64-2.7/h5py/_proxy.o
In file included from h5py/_proxy.c:259:
In file included from h5py/api_compat.h:21:
In file included from 
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/arrayobject.h:4:
In file included from 
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/ndarrayobject.h:17:
In file included from 
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/ndarraytypes.h:1761:
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h:15:2:
 warning: "Using deprecated NumPy API, disable it by "          "#defining 
NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION" [-W#warnings]
#warning "Using deprecated NumPy API, disable it by " \
 ^
h5py/_proxy.c:2383:95: warning: incompatible pointer types passing 'herr_t 
(void *, hid_t, unsigned int, hsize_t *, void *)' to parameter of type 
'H5D_operator_t' (aka 'herr_t (*)(void *, hid_t, unsigned int, const hsize_t *, 
void *)') [-Wincompatible-pointer-types]
    __pyx_t_3 = __pyx_f_4h5py_4defs_H5Diterate(__pyx_v_noncontig, __pyx_v_tid, 
__pyx_v_space, __pyx_f_4h5py_6_proxy_h5py_scatter_cb, (&__pyx_v_info)); if 
(unlikely(PyErr_Occurred())) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 283; 
__pyx_clineno = __LINE__; goto __pyx_L1_error;}
                                                                                
              ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
h5py/_proxy.c:2404:95: warning: incompatible pointer types passing 'herr_t 
(void *, hid_t, unsigned int, hsize_t *, void *)' to parameter of type 
'H5D_operator_t' (aka 'herr_t (*)(void *, hid_t, unsigned int, const hsize_t *, 
void *)') [-Wincompatible-pointer-types]
    __pyx_t_3 = __pyx_f_4h5py_4defs_H5Diterate(__pyx_v_noncontig, __pyx_v_tid, 
__pyx_v_space, __pyx_f_4h5py_6_proxy_h5py_gather_cb, (&__pyx_v_info)); if 
(unlikely(PyErr_Occurred())) {__pyx_filename = __pyx_f[0]; __pyx_lineno = 285; 
__pyx_clineno = __LINE__; goto __pyx_L1_error;}
                                                                                
              ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
3 warnings generated.
cc -shared -O2 -pipe -fno-strict-aliasing 
build/temp.freebsd-11.0-CURRENT-amd64-2.7/h5py/_proxy.o -L/usr/local/lib 
-Wl,-rpath=/usr/local/lib -lhdf5 -lhdf5_hl -o 
build/lib.freebsd-11.0-CURRENT-amd64-2.7/h5py/_proxy.so
building 'h5py.h5fd' extension
cc -DNDEBUG -O2 -pipe -fno-strict-aliasing -fPIC -DH5_USE_16_API 
-I/usr/local/lib/python2.7/site-packages/numpy/core/include 
-I/wrkdirs/usr/ports/science/py-h5py/work/h5py-2.2.1/lzf -I/usr/local/include 
-I/usr/local/include/python2.7 -c h5py/h5fd.c -o 
build/temp.freebsd-11.0-CURRENT-amd64-2.7/h5py/h5fd.o
In file included from h5py/h5fd.c:259:
In file included from h5py/api_compat.h:21:
In file included from 
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/arrayobject.h:4:
In file included from 
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/ndarrayobject.h:17:
In file included from 
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/ndarraytypes.h:1761:
/usr/local/lib/python2.7/site-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h:15:2:
 warning: "Using deprecated NumPy API, disable it by "          "#defining 
NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION" [-W#warnings]
#warning "Using deprecated NumPy API, disable it by " \
 ^
h5py/h5fd.c:857:39: error: use of undeclared identifier 'H5FD_MPIPOSIX'
  __pyx_t_1 = __Pyx_PyInt_to_py_hid_t(H5FD_MPIPOSIX); if (unlikely(!__pyx_t_1)) 
{__pyx_filename = __pyx_f[0]; __pyx_lineno = 34; __pyx_clineno = __LINE__; goto 
__pyx_L1_error;}
                                      ^
1 warning and 1 error generated.
error: command 'cc' failed with exit status 1
*** Error code 1

Stop.
make: stopped in /usr/ports/science/py-h5py
===>  Cleaning for py27-h5py-2.2.1_2
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to